# KykyapiClient.RowProduct

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **Number** | Product identifier | [optional] 
**rowOrder** | **Number** | Product row order | [optional] 
**parentId** | **Number** | Product parent identifier | [optional] 
**parentType** | **String** | Product parent type | [optional] 
**name** | **String** | Product name | [optional] 
**category** | **String** | Product category | [optional] 
**unit** | **String** | Product unit | [optional] 
**unitPrice** | **String** | Price for single unit | [optional] 
**amount** | **Number** | Number of units | [optional] 
**width** | **Number** | Width for glass products | [optional] 
**height** | **Number** | Height for glass products | [optional] 
**size** | **Number** | Size for glass products | [optional] 
**arrivedAmount** | **Number** | Number of arrived units. May be null | [optional] 
**billedAmount** | **Number** | Number of units billed. May be null | [optional] 
**attachmentIds** | **[Number]** |  | [optional] 
**listProductId** | **Number** | list product identifier | [optional] 
**details** | [**[RowProductDetail]**](RowProductDetail.md) |  | [optional] 


<a name="CategoryEnum"></a>
## Enum: CategoryEnum


* `GLASS` (value: `"GLASS"`)

* `GRINDING` (value: `"GRINDING"`)

* `HINGE` (value: `"HINGE"`)

* `HANDLE` (value: `"HANDLE"`)

* `ACCESSORY` (value: `"ACCESSORY"`)

* `SCHEMATIC` (value: `"SCHEMATIC"`)




<a name="UnitEnum"></a>
## Enum: UnitEnum


* `UNIT` (value: `"UNIT"`)

* `METER` (value: `"METER"`)

* `SQUARE_METER` (value: `"SQUARE_METER"`)




