# KykyapiClient.SalesApi

All URIs are relative to *https://localhost/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**listSales**](SalesApi.md#listSales) | **GET** /sales | List sales


<a name="listSales"></a>
# **listSales**
> [Sale] listSales()

List sales

List sales

### Example
```javascript
var KykyapiClient = require('kykyapi-client');

var apiInstance = new KykyapiClient.SalesApi();
apiInstance.listSales().then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters
This endpoint does not need any parameter.

### Return type

[**[Sale]**](Sale.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json;charset=utf-8
 - **Accept**: application/json;charset=utf-8

