# KykyapiClient.ActionsApi

All URIs are relative to *https://localhost/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**actionSendInvoice**](ActionsApi.md#actionSendInvoice) | **POST** /actions/sendInvoice | Create invoice


<a name="actionSendInvoice"></a>
# **actionSendInvoice**
> actionSendInvoice(body)

Create invoice

Create invoice

### Example
```javascript
var KykyapiClient = require('kykyapi-client');
var defaultClient = KykyapiClient.ApiClient.instance;

// Configure API key authorization: bearer
var bearer = defaultClient.authentications['bearer'];
bearer.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//bearer.apiKeyPrefix = 'Token';

var apiInstance = new KykyapiClient.ActionsApi();

var body = new KykyapiClient.InvoiceModel(); // InvoiceModel | Payload

apiInstance.actionSendInvoice(body).then(function() {
  console.log('API called successfully.');
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**InvoiceModel**](InvoiceModel.md)| Payload | 

### Return type

null (empty response body)

### Authorization

[bearer](../README.md#bearer)

### HTTP request headers

 - **Content-Type**: application/json;charset=utf-8
 - **Accept**: application/json;charset=utf-8

