# KykyapiClient.PurchaseOrder

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **Number** | Entity identifier. | [optional] 
**saleId** | **Number** | Entity identifier. | 
**customerOrganizationId** | **Number** | Id of the seller | [optional] 
**state** | **String** |  | 
**purchaseTime** | **Date** | Order purchase time | [optional] 
**arrivalTime** | **Date** | Order arrival time | [optional] 
**arrivalTimeEstimation** | **Date** | Estimated arrival time | [optional] 
**consigneeId** | **String** | Order consignee id | [optional] 
**invoices** | [**[PurchaseOrderInvoice]**](PurchaseOrderInvoice.md) |  | [optional] 
**billingAddress** | [**Address**](Address.md) |  | [optional] 
**deliveryAddress** | [**Address**](Address.md) |  | [optional] 
**additionalInformation** | **String** | Additional information about the purchase | [optional] 
**internalNotes** | **String** | Internal notes about the purchase | [optional] 


<a name="StateEnum"></a>
## Enum: StateEnum


* `DRAFT` (value: `"DRAFT"`)

* `OPEN` (value: `"OPEN"`)

* `ARRIVED` (value: `"ARRIVED"`)

* `BILLED` (value: `"BILLED"`)




