# KykyapiClient.SaleOrder

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **Number** | Entity identifier. | [optional] 
**saleId** | **Number** | Entity identifier. | 
**customerRepresentativeId** | **Number** | Id of the customer representative | 
**delivery** | **String** |  | 
**additionalInformation** | **String** | Additional information about the sale offer | [optional] 
**marker** | **String** | sale offers marker | [optional] 
**internalNotes** | **String** | Internal notes about the sale offer | [optional] 
**responsibleUserId** | **String** | Id of responsible user | [optional] 
**termsOfPayment** | **String** |  | 
**latePaymentInterest** | **Number** | Interest about late payment | 
**deliveryTime** | **Date** |  | [optional] 
**billingAddress** | [**Address**](Address.md) |  | [optional] 
**referenceNumber** | **String** | Reference number | [optional] 


<a name="DeliveryEnum"></a>
## Enum: DeliveryEnum


* `PICKUP` (value: `"PICKUP"`)

* `DELIVERY` (value: `"DELIVERY"`)

* `INSTALLATION` (value: `"INSTALLATION"`)




<a name="TermsOfPaymentEnum"></a>
## Enum: TermsOfPaymentEnum


* `CASH` (value: `"CASH"`)

* `BILL7` (value: `"BILL7"`)

* `BILL14` (value: `"BILL14"`)

* `BILL21` (value: `"BILL21"`)

* `BILL31` (value: `"BILL31"`)




